Browser Requirementsbrowser-requirements-gerardi-gems

standards & compatability



This website validates to XHTML and CSS web standards and is designed to be compatible with all modern browsers. If you wish to update your browser simply click on the icons below for more information.




browser-requirements-firefox  browser-requirements-explorer  browser-requirements-chrome  Safari-icon  Opera-icon





Please make sure that Java is up to date within your browser to ensure that all scripts run correctly. A link is provided below for your convenience.


Java update article